#include "icalindv.h"

icalindv::icalindv()
{
}

icalindv::~icalindv()
{
}

QDateTime icalindv::todatetimesta()
{
	return QDateTime(evdatesta, evtimesta);
}	

QDateTime icalindv::todatetimeend()
{
	return QDateTime(evdateend, evtimeend);
}

QString icalindv::totext()
{
	return QString(
	"SUMMARY:%1\n"
	"DESCRIPTION:%2\n"
	"DTSTART:%3%5\n"
	"DTEND:%4%6\n"
	).arg(evsummary).arg(evdescription).arg(evtimesta.toString()).arg(evtimeend.toString()).arg(evdatesta.toString()).arg(evdateend.toString());
}

QString icalindv::tohtml()
{
	return QString(
	"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">"
	"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">"
	"p, li { white-space: pre-wrap; }"
	"</style></head><body style=\" font-family:'Sans Serif'; font-size:9pt; font-weight:400; font-style:normal;\">"
	"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">%3</span> <span style=\" color:#aa0000;\">%1</span></p>"
	"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; color:#aa0000;\"><span style=\" color:#005500;\">%2</span><span style=\" color:#000000;\"></span> <span style=\" color:#000000;\"></span> <span style=\" color:#00007f;\">... +</span></p></body></html>"
	).arg(evsummary).arg(evdescription).arg(todatetimesta().toString());
}

/*
QString icalindv::todata(QString fulltextdata)
{
	return QString("text....%1").arg(fulltextdata);
}
*/

QString icalindv::todata()
{
    QString retval = genfunc::formatdatatype(QString("%1\n%2").arg(evsummary).arg(evdescription));
    if (retval.startsWith("text...."))
        return QString("text....%1").arg(tohtml());
    else
        return retval;
//    return genfunc::formatdatatype(evsummary, evdescription);
    /*
	QString fulltextdata = QString("%1\n%2").arg(evsummary).arg(evdescription);
        QRegExp videourlrx("http://\\S{0,}.(avi|mp4|mov|ogv|ogg|mkv|flv)");
        QRegExp pdfurlrx("http://\\S{0,}.(pdf)");
        QRegExp plainurlrx("http://\\S{0,}.(htm|html|php|jsp|asp|aspx)");
	if (fulltextdata.contains(videourlrx)) // video url
	{
                return QString("video...%1").arg(fulltextdata.mid(videourlrx.indexIn(fulltextdata), videourlrx.matchedLength()));
        }
        else if (fulltextdata.contains(pdfurlrx)) // pdf url
        {
            return QString("pdf.....%1").arg(fulltextdata.mid(pdfurlrx.indexIn(fulltextdata), pdfurlrx.matchedLength()));
        }
        else if (fulltextdata.contains(plainurlrx)) // plain url
        {
            return QString("webpage.%1").arg(fulltextdata.mid(plainurlrx.indexIn(fulltextdata), plainurlrx.matchedLength()));
        }
	else // plain text
	{
		return QString("text....%1").arg(tohtml());
	}
//	return todata(QString("%1\n%2").arg(evsummary).arg(evdescription));
    */
}
