#include "pdwidget.h"

void pdwidget::setup()
{
//    visplaying = true;
//    pauseplayb = new QPushButton(this);
    pdfDisplay = new QLabel(this);
    pdfDisplay->setGeometry(this->geometry());
    nextpageb = new QPushButton(pdfDisplay);
    prevpageb = new QPushButton(pdfDisplay);
    nextpageb->setText("Next");
    prevpageb->setText("Prev");
//    pauseplayb->setText("Pause");
//    qDebug() << parent->frameGeometry();
//    pauseplayb->setGeometry(parent->frameGeometry().width(), parent->frameGeometry().height(), 20, 20);

//    pauseplayb->setGeometry(this->width()/2, this->height()/2, 50, 50);
//    pauseplayb->show();
//    connect(pauseplayb, SIGNAL(clicked()), this, SLOT(changevideostate()));
    nextpageb->setGeometry(this->width()/2, this->height()/2-25, 50, 50);
    prevpageb->setGeometry(this->width()/2, this->height()/2+25, 50, 50);
//    nextpageb->show();
//    prevpageb->show();
//    pdfDisplay->hide();
    buttonlist.append(nextpageb);
    buttonlist.append(prevpageb);
    this->hidebuttons();
    connect(nextpageb, SIGNAL(clicked()), this, SLOT(nextpagep()));
    connect(prevpageb, SIGNAL(clicked()), this, SLOT(prevpagep()));
}

void pdwidget::mousePressEvent(QMouseEvent *event)
{
//    qDebug() << "buttons shown";
    this->showbuttons();
}


/*
void pdwidget::changevideostate()
{
    if (visplaying)
    {
        visplaying = false;
        pauseplayb->setText("Play");
        emit pausev();
    }
    else
    {
        visplaying = true;
        pauseplayb->setText("Pause");
        emit playv();
    }
}
*/

void pdwidget::nextpagep()
{
    emit nextpageps();
}

void pdwidget::prevpagep()
{
    emit prevpageps();
}

/*
void pdwidget::nextpagep()
{
    if (isremote)
        senddatagram(QByteArray("SIGNALnextpagep"));
    else
    {
        curpagenum++;
        vrenderpage();
    }
}

void pdwidget::prevpagep()
{
    if (isremote)
        senddatagram(QByteArray("SIGNALprevpagep"));
    else
    {
        curpagenum--;
        vrenderpage();
    }
}
*/

void pdwidget::vrenderpage()
{
    pdfDocument = Poppler::Document::loadFromData(pagedata);
    pdfPage = pdfDocument->page(curpagenum);
    pdfRender = pdfPage->renderToImage(this->physicalDpiX(), this->physicalDpiY());
    pdfDisplay->setPixmap(QPixmap::fromImage(pdfRender));
    pdfDisplay->show();
    this->show();
}
