#ifndef PDWIDGET_H
#define PDWIDGET_H

#include <QtGui>
#include <poppler/qt4/poppler-qt4.h>
#include "buttoncarrier.h"

class pdwidget : public QWidget, public buttoncarrier
{
    Q_OBJECT

public:
    void setup();
    void mousePressEvent(QMouseEvent *event);
    QPushButton *nextpageb;
    QPushButton *prevpageb;
    QLabel *pdfDisplay;
    QImage pdfRender;
    Poppler::Document* pdfDocument;
    Poppler::Page* pdfPage;
    int curpagenum;
//    int numpages;
    QByteArray pagedata;

public slots:
    void nextpagep();
    void prevpagep();
    void vrenderpage();

signals:
    void nextpageps();
    void prevpageps();
};

#endif // PDWIDGET_H
