#ifndef VIEWPLANE_H_
#define VIEWPLANE_H_

#include <QtGui>
#include <QtNetwork>
#include <QtWebKit>
//#include <phonon>
#include <phonon/audiooutput.h>
#include <phonon/mediaobject.h>
//#include <phonon/videowidget.h>
#include "vdwidget.h"
//#include <poppler/qt4/poppler-qt4.h>
#include "pdwidget.h"
#include "genfunc.h"

//static const int tdebrdportnum = 45454;

class viewplane : public QTextBrowser
{
	Q_OBJECT

public:
	viewplane(QWidget *parent = 0, int portnum = 45454);
	virtual ~viewplane();
	QUdpSocket *udpSocket;
	Phonon::MediaObject *mediaObject;
        vdwidget *videoWidget;
        pdwidget *pdfWidget;
        Phonon::AudioOutput *audioOutput;
//        Poppler::Document* pdfDocument;
//        Poppler::Page* pdfPage;
//        QLabel *pdfDisplay;
//        QImage pdfRender;
        QWebView *webpageView;
        bool isremote;
//        bool isgeometryset;
        int broadcastport;
//        int curpagenum;
//        static QByteArray downloadpagecontents(QString pageurl);
//        static QString formatdatatype(QString evsummary, QString evdescription);

public slots:
	void hideotherw();
	void setDispContents(QString dispcontents);
	void vdisplayData(QString dispcontents);
	void vdisplayText(QString dispcontents);
        void vdisplayVideo(QString dispcontents);
        void vdisplayWebpage(QString dispcontents);
        void vdisplayPDF(QString dispcontents);
        void senddatagram(QByteArray datagram);
        void senddatagram(QString datagram);
        void playv();
        void pausev();
        void prevpagep();
        void nextpagep();
//        void vrenderpage();
};

#endif /*VIEWPLANE_H_*/
