#ifndef DEADLINEPLANE_H
#define DEADLINEPLANE_H

#include <QtGui>
#include "ui_deadlineplane.h"
#include "evwidget.h"
#include "icalparser.h"
#include "metaviewplane.h"
//#include "vboxlayoutwidget.h"

//class deadlineplane : public QWidget, public Ui_deadlineplane
class deadlineplane : public QWidget
{
Q_OBJECT

public:
        deadlineplane(QWidget *parent = 0);
        void addbasewidgets(QWidget *parent = 0);
	QList<evwidget*> evwidgetlist;
	QList<evwidget*> evlimwidgetlist;
	evwidget *curevwidget;
	QList<icalindv*> evlistfull;
	QString prevsentry;
//	QList<icalindv*> curdisplist;
	icalparser *evparser;
//	int curdispsize;
//	int curdispmid;
//	int curcenterindex;
	QDateTime centertime;
	QScrollArea *scrollarea;
	QWidget *scrollconts;
	QVBoxLayout *vbxlayout;
	metaviewplane *metavp;
        viewplane *remotevp;
        viewplane *localviewplane;
        QWidget *vpcontwidget;
        QComboBox *searchtype;
        QLineEdit *searchbox;
	bool searchmatched(evwidget *searchedwidget, QString filtertext);
	void setupall();

public slots:
//	void shiftup();
//	void shiftdown();
	void changesearchcategory();
	void redrawev();
	void evselected(evwidget *evwsel);
	void addallevwidgets();
	void readdevwidgets();
	void limevwidgets();
	void addevwidgets(QList<evwidget*> addwidgets);
	void remevwidgets(QList<evwidget*> remwidgets);
	void filterevwidgets(QString filtertext);

};

#endif
