#include "hybridplane.h"

hybridplane::hybridplane(QWidget *parent)
{
//	setupUi(this);
}

hybridplane::~hybridplane()
{

}

void hybridplane::setuphyp(int portnum)
{
//    localviewplane = new viewplane;
//    rviewplane = localviewplane;
    udpSocket = new QUdpSocket;
        QDesktopWidget *maincontainer = new QDesktopWidget;
        this->setGeometry(maincontainer->screenGeometry(maincontainer));
        this->setWindowState(Qt::WindowFullScreen);
//        maincontainer->setGeometry(maincontainer->screenGeometry(maincontainer));
//        maincontainer->setWindowState(Qt::WindowFullScreen);
//    this->addbasewidgets(this);

        localviewplane = new viewplane(this);
//        localviewplane->isremote = false;

        tdesrvportnum = portnum;
//	tdesrvportnum = 45454;
//	rviewplane->setWindowState(Qt::WindowFullScreen);
//        maincontainer->show();
        localviewplane->show();
//	udpSocket = new QUdpSocket;
//	udpSocket->bind(tdesrvportnum);
//	connect(udpSocket, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
        udpSocket->bind(portnum);
        connect(udpSocket, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
        this->setupall();
        /*
        localviewplane->isremote = false;
        metavp = new metaviewplane;
        remotevp = new viewplane;
        metavp->allviewplanes.append(remotevp);
        metavp->allviewplanes.append(localviewplane);
        metavp->setup();
        evparser = new icalparser;
        centertime = QDateTime::currentDateTime().toUTC();
        evparser->parsetree(QString("%1/calendars").arg(QCoreApplication::applicationDirPath()));
        evlistfull = icalparser::orderlistdown(evparser->icallist);
        evwidgetlist = icalparser::towidgetlist(evlistfull);
        scrollarea = new QScrollArea;
        scrollarea->setParent(this);
        scrollconts = new QWidget;
        scrollconts->setParent(this);
        vbxlayout = new QVBoxLayout;
        scrollarea->setWidget(scrollconts);
        scrollconts->setLayout(vbxlayout);
        addallevwidgets();
    searchbox = new QLineEdit(this);
    searchtype = new QComboBox(this);
    searchtype->addItems(QStringList() << "All" <<  "Summary" << "Description" << "Time");
        searchbox->setGeometry(132, 510, 192, 28);
        searchtype->setGeometry(4, 510, 111, 27);
        searchbox->show();
        searchtype->show();
        connect(searchbox, SIGNAL(textEdited(QString)), this, SLOT(filterevwidgets(QString)));
        connect(searchtype, SIGNAL(currentIndexChanged(int)), this, SLOT(changesearchcategory()));
//        this->setupall();
        this->show();
        */
        this->show();
}

void hybridplane::processdatagrams()
{
        while (udpSocket->hasPendingDatagrams())
        {
                QByteArray datagram;
                datagram.resize(udpSocket->pendingDatagramSize());
                udpSocket->readDatagram(datagram.data(), datagram.size());
                this->parsedatagram(datagram);
//		qDebug() << datagram.data();
        }
}

void hybridplane::parsedatagram(QByteArray datagram)
{
//    remoteviewplanesrv::parsedatagram(datagram, rviewplane);
    remoteviewplanesrv::parsedatagram(datagram, localviewplane);
    /*
    qDebug() << datagram;
    if (datagram.startsWith("SIGNALplayv"))
    {
        qDebug() << "received playv";
        rviewplane->playv();
    }
    else if (datagram.startsWith("SIGNALpausev"))
    {
        qDebug() << "received pausev";
        rviewplane->pausev();
    }
    else if (datagram.startsWith("SIGNALnextpagep"))
    {
        qDebug() << "received pausev";
        rviewplane->nextpagep();
    }
    else if (datagram.startsWith("SIGNALprevpagep"))
    {
        qDebug() << "received pausev";
        rviewplane->prevpagep();
    }
    else
    {
        rviewplane->setDispContents(datagram.data());
    }
    */
}

/*
void remoteviewplanesrv::setuprvp(int portnum)
{
        QDesktopWidget *maincontainer = new QDesktopWidget;
        maincontainer->setGeometry(maincontainer->screenGeometry(maincontainer));
        maincontainer->setWindowState(Qt::WindowFullScreen);
        rviewplane = new viewplane(maincontainer);
        rviewplane->isremote = false;
        tdesrvportnum = portnum;
//	tdesrvportnum = 45454;
//	rviewplane->setWindowState(Qt::WindowFullScreen);
        maincontainer->show();
        rviewplane->show();
//	udpSocket = new QUdpSocket;
//	udpSocket->bind(tdesrvportnum);
//	connect(udpSocket, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
        this->bind(portnum);
        connect(this, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
}

void remoteviewplanesrv::processdatagrams()
{
        while (this->hasPendingDatagrams())
        {
                QByteArray datagram;
                datagram.resize(this->pendingDatagramSize());
                this->readDatagram(datagram.data(), datagram.size());
                this->parsedatagram(datagram);
//		qDebug() << datagram.data();
        }
}

void remoteviewplanesrv::parsedatagram(QByteArray datagram)
{
    qDebug() << datagram;
    if (datagram.startsWith("SIGNALplayv"))
    {
        qDebug() << "received playv";
        rviewplane->playv();
    }
    else if (datagram.startsWith("SIGNALpausev"))
    {
        qDebug() << "received pausev";
        rviewplane->pausev();
    }
    else if (datagram.startsWith("SIGNALnextpagep"))
    {
        qDebug() << "received pausev";
        rviewplane->nextpagep();
    }
    else if (datagram.startsWith("SIGNALprevpagep"))
    {
        qDebug() << "received pausev";
        rviewplane->prevpagep();
    }
    else
    {
        rviewplane->setDispContents(datagram.data());
    }
}
*/
