#include "main.h"

int main(int argc, char** argv)
{
QApplication app(argc, argv);
app.setApplicationName("tde");
/*
icalparser *icalsample = new icalparser;
icalsample->curfilepath = "/home/geza/cal.ics";
icalsample->parsefile();
//QList<icalindv*> nextfivelist = icalsample->prevevlist(20);
QList<icalindv*> nextfivelist = icalparser::orderlistup(icalsample->icallist);
for (int i = 0; i < nextfivelist.size(); ++i)
{
	qDebug() << nextfivelist[i]->totext();
}
*/
//planecontainer *ntplane = new planecontainer;
//deadlineplane *evdisplay = ntplane->deadline;
QStringList tdearguments = app.arguments();
if (tdearguments.size() > 1)
{
	if (tdearguments.at(1) == "server")
	{
//		remoteviewplane *remoteviewplane;
//		QTcpServer *tcpserver = new QTcpServer;
                remoteviewplanesrv *vpserver = new remoteviewplanesrv;
                vpserver->setuprvp();
//		QEventLoop srvloop;
//		srvloop.exec();
		return app.exec();
        }
        else if (tdearguments.at(1) == "hybrid")
        {
//		remoteviewplane *remoteviewplane;
//		QTcpServer *tcpserver = new QTcpServer;
                hybridplane *mainhyp = new hybridplane;
                mainhyp->setuphyp();
//		QEventLoop srvloop;
//		srvloop.exec();
                return app.exec();
        }
        else if (tdearguments.at(1).contains("http://"))
        {
            QDesktopWidget *maincontainer = new QDesktopWidget;
            maincontainer->setGeometry(maincontainer->screenGeometry(maincontainer));
//            maincontainer->setGeometry(0, 0, 1280, 800);
            maincontainer->setWindowState(Qt::WindowFullScreen);
            viewplane *singlevplocal = new viewplane(maincontainer);
            viewplane *singlevpremote = new viewplane();
            singlevplocal->isremote = false;
            metaviewplane *metavpall = new metaviewplane;
            metavpall->allviewplanes.append(singlevplocal);
            metavpall->allviewplanes.append(singlevpremote);
            metavpall->setup();
            metavpall->setDispContents(genfunc::formatdatatype(tdearguments.at(1)));
            maincontainer->show();
            singlevplocal->show();
//            singlevplocal->setWindowState(Qt::WindowFullScreen);
//            singlevplocal->show();
            return app.exec();
        }
       else  if (tdearguments.at(1).contains("shoutcast") && tdearguments.size() >= 6)
        {
            QDesktopWidget *maincontainer = new QDesktopWidget;
            maincontainer->setGeometry(maincontainer->screenGeometry(maincontainer));
//            maincontainer->setGeometry(0, 0, 1280, 800);
            maincontainer->setWindowState(Qt::WindowFullScreen);
            viewplane *singlevplocal = new viewplane(maincontainer);
            viewplane *singlevpremote = new viewplane();
            singlevplocal->isremote = false;
            metaviewplane *metavpall = new metaviewplane;
            metavpall->allviewplanes.append(singlevplocal);
            metavpall->allviewplanes.append(singlevpremote);
            metavpall->setup();
            QString gstcommandline = QString("gst-launch v4l2src ! queue ! video/x-raw-yuv,width=320,height=240 ! videorate ! videoscale ! ffmpegcolorspace ! queue ! theoraenc ! queue ! oggmux name=mux alsasrc ! audio/x-raw-int,rate=8000,channels=1,depth=8 ! queue ! audioconvert ! vorbisenc ! queue ! mux. mux. ! queue !  shout2send ip=%1 port=%2 password=%3 mount=%4").arg(tdearguments.at(2)).arg(tdearguments.at(3)).arg(tdearguments.at(4)).arg(tdearguments.at(5));
            QProcess gstbroadcast;
            gstbroadcast.start(gstcommandline);
            QEventLoop waittensec;
            QTimer::singleShot(10000, &waittensec, SLOT(quit()));
            waittensec.exec();
            QString livestreamurl = QString("http://%1:%2/%3").arg(tdearguments.at(2)).arg(tdearguments.at(3)).arg(tdearguments.at(5));
            metavpall->setDispContents(genfunc::formatdatatype(livestreamurl));
            maincontainer->show();
            singlevplocal->show();
//            singlevplocal->setWindowState(Qt::WindowFullScreen);
//            singlevplocal->show();
            return app.exec();
        }
}
deadlineplane *evdisplay = new deadlineplane;
evdisplay->addbasewidgets();
evdisplay->setupall();
/*
for (int i = 0; i < evdisplay->evwidgetlist.size(); ++i)
{
	if (i < icalsample->icallist.size())
	{
//		evdisplay->evwidgetlist.at(i)->setText(icalsample->icallist[i]->tohtml());
		evdisplay->evwidgetlist[i]->curevent = icalsample->icallist[i];
		evdisplay->evwidgetlist[i]->refreshev();
	}
}
*/
//ntplane->deadline->show();
//ntplane->show();
evdisplay->show();
return app.exec();
}
