#include "metaviewplane.h"

metaviewplane::metaviewplane()
{
	
}

metaviewplane::~metaviewplane()
{
	
}

void metaviewplane::setup()
{
    for (int i = 0; i < allviewplanes.size(); ++i)
    {
//        allviewplanes[i]->setup();
        connect(allviewplanes[i]->videoWidget, SIGNAL(playv()), this, SLOT(playv()));
        connect(allviewplanes[i]->videoWidget, SIGNAL(pausev()), this, SLOT(pausev()));
        connect(allviewplanes[i]->pdfWidget, SIGNAL(nextpageps()), this, SLOT(nextpagep()));
        connect(allviewplanes[i]->pdfWidget, SIGNAL(prevpageps()), this, SLOT(prevpagep()));
    }
}

void metaviewplane::setDispContents(QString dispcontents)
{
	for (int i = 0; i < allviewplanes.size(); ++i)
	{
		allviewplanes[i]->setDispContents(dispcontents);
	}
}

void metaviewplane::playv()
{
        for (int i = 0; i < allviewplanes.size(); ++i)
        {
                allviewplanes[i]->playv();
        }
}

void metaviewplane::pausev()
{
        for (int i = 0; i < allviewplanes.size(); ++i)
        {
                allviewplanes[i]->pausev();
        }
}

void metaviewplane::nextpagep()
{
        for (int i = 0; i < allviewplanes.size(); ++i)
        {
                allviewplanes[i]->nextpagep();
        }
}

void metaviewplane::prevpagep()
{
        for (int i = 0; i < allviewplanes.size(); ++i)
        {
                allviewplanes[i]->prevpagep();
        }
}
