#include "remoteviewplanesrv.h"

remoteviewplanesrv::remoteviewplanesrv()
{

}

remoteviewplanesrv::~remoteviewplanesrv()
{

}

void remoteviewplanesrv::setuprvp(int portnum)
{
        QDesktopWidget *maincontainer = new QDesktopWidget;
        maincontainer->setGeometry(maincontainer->screenGeometry(maincontainer));
        maincontainer->setWindowState(Qt::WindowFullScreen);
        rviewplane = new viewplane(maincontainer);
        rviewplane->isremote = false;
        tdesrvportnum = portnum;
//	tdesrvportnum = 45454;
//	rviewplane->setWindowState(Qt::WindowFullScreen);
        maincontainer->show();
        rviewplane->show();
//	udpSocket = new QUdpSocket;
//	udpSocket->bind(tdesrvportnum);
//	connect(udpSocket, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
        this->bind(portnum);
        connect(this, SIGNAL(readyRead()), this, SLOT(processdatagrams()));
}

void remoteviewplanesrv::processdatagrams()
{
	while (this->hasPendingDatagrams())
	{
		QByteArray datagram;
		datagram.resize(this->pendingDatagramSize());
		this->readDatagram(datagram.data(), datagram.size());
                this->parsedatagram(datagram);
//		qDebug() << datagram.data();
	}
}

void remoteviewplanesrv::parsedatagram(QByteArray datagram)
{
    parsedatagram(datagram, rviewplane);
}

void remoteviewplanesrv::parsedatagram(QByteArray datagram, viewplane *rvpln)
{
    qDebug() << datagram;
    if (datagram.startsWith("SIGNALplayv"))
    {
        qDebug() << "received playv";
        rvpln->playv();
    }
    else if (datagram.startsWith("SIGNALpausev"))
    {
        qDebug() << "received pausev";
        rvpln->pausev();
    }
    else if (datagram.startsWith("SIGNALnextpagep"))
    {
        qDebug() << "received pausev";
        rvpln->nextpagep();
    }
    else if (datagram.startsWith("SIGNALprevpagep"))
    {
        qDebug() << "received pausev";
        rvpln->prevpagep();
    }
    else
    {
        rvpln->setDispContents(datagram.data());
    }
}
